Page MenuHomePhabricator

Move wikitech (silver) to HHVM
Closed, ResolvedPublic

Description

It's currently still running PHP. Should be running HHVM.

Related Objects

Event Timeline

yuvipanda updated the task description. (Show Details)
yuvipanda raised the priority of this task from to Needs Triage.
yuvipanda added a subscriber: yuvipanda.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 12 2015, 12:51 AM

See also T87036 - although silver runs trusty and has PHP 5.5 rather than 5.3, we should still migrate it to HHVM.

Restricted Application added a subscriber: Matanya. · View Herald TranscriptJun 25 2015, 8:14 PM
Joe added a subscriber: Joe.Jun 30 2015, 9:56 AM

This ticket makes no sense, IMO. We have no reason to migrate wikitech to HHVM at the moment.

I'm resolving this ticket as invalid until someone explains me why should we embark in such a migration that - at the moment - does not offer any advantage to us.

Joe closed this task as Invalid.Jun 30 2015, 10:03 AM
Joe set Security to None.
Restricted Application removed a subscriber: Liuxinyu970226. · View Herald TranscriptJun 30 2015, 10:03 AM
Krenair reopened this task as Open.Jun 30 2015, 1:42 PM

It's an absolute blocker for T91590: [Spike] Try out hack (<?hh) for mediawiki-config, T94149: Get rid of Zend 5.5 tests for wmf branches, and perhaps T75901: Drop PHP 5.3 support. If you want to close this, you'll have to reject at least those first two.

Reedy added a subscriber: Reedy.Jun 30 2015, 1:44 PM

It's an absolute blocker for T91590: [Spike] Try out hack (<?hh) for mediawiki-config, T94149: Get rid of Zend 5.5 tests for wmf branches, and perhaps T75901: Drop PHP 5.3 support. If you want to close this, you'll have to reject at least those first two.

See also T87036 - although silver runs trusty and has PHP 5.5 rather than 5.3, we should still migrate it to HHVM.

It's not a blocker for dropping PHP 5.3 support then if it's on 5.5

Krenair renamed this task from Move wikitech to HHVM to Move wikitech (silver) to HHVM.Jul 4 2015, 12:44 AM
Joe added a comment.Aug 7 2015, 10:30 AM

This is not a blocker to drop php 5.3, it is not a blocker to drop zend tests (or are we testing OSM? we might keep tests just for it)

Converting silver could be a 5-minutes job or an engineering nightmare requiring weeks to fix OSM to work correctly with HHVM. I strongly suspect the latter.

If we really want to have an HHVM-only release train, we could re-detach wikitech until we drop OSM.

@andrewbogott: thoughts?

Andrew added a comment.Aug 7 2015, 6:35 PM

I have no idea whether hhvm will interact badly with OSM. It's pretty different from other extensions so it wouldn't shock me. A day long wikitech outage isn't a huge deal since it doesn't prevent actual labs instances from working -- we'd need to schedule it ahead of time though.

If it were detached from the train would I still be able to manually sync-common or would I be back to upgrading it fully by hand?

jcrespo changed the task status from Open to Stalled.Sep 7 2015, 6:33 PM
jcrespo added a subscriber: jcrespo.

As there is some disagreement here, trying to be neutral here and just reflecting the current state of this task.

chasemp triaged this task as Lowest priority.Nov 30 2015, 5:29 PM
chasemp added a subscriber: chasemp.
greg added a subscriber: greg.

Added T161553 as a subtask per above comments.

bd808 added a subscriber: bd808.Jun 20 2017, 10:14 PM

Added T161553 as a subtask per above comments.

I removed OSM deprecation as a blocker. I think we can figure out how to work through any issues that OSM has with HHVM. Its mostly LDAP and cURL.

Added T161553 as a subtask per above comments.

I removed OSM deprecation as a blocker. I think we can figure out how to work through any issues that OSM has with HHVM. Its mostly LDAP and cURL.

Does that mean we can Just Do It™ now?

bd808 added a comment.Sep 7 2017, 12:29 AM

Does that mean we can Just Do It™ now?

See T168470. Cloud Services has 2 new physical servers that were purchased to replace the aging silver (wikitech) and californium (horizon, striker) hosts. The rough plan is for these new servers to be built out as Debian boxes and setup with all 3 services on each physical node. Then we can balance traffic between them and make maintenance things easier. We should have the luxury of setting these boxes up in parallel with the existing hosts, so in my mind that would be a good time to attempt to run wikitech's weird mix of extensions on HHVM and make sure that the obvious problems get fixed. This work may become a FY17/18 Q2 goal for the team.

bd808 added a comment.Oct 5 2017, 6:20 PM

The broad plan for PHP7 is to move to HHVM on Debian Stretch first and then move from HHVM to PHP7. Getting wikitech running on Stretch+HHVM will put us in a good place to continue on to PHP7 with the rest of the MW servers.

bd808 raised the priority of this task from Lowest to Normal.Feb 22 2018, 6:41 PM
bd808 changed the task status from Stalled to Open.
Andrew claimed this task.Mar 12 2018, 11:26 PM
Andrew closed this task as Resolved.

Wikitech on Silver has been replaced by Wikitech on labweb1001/1002. The new wikitech uses HHVM.

bd808 moved this task from Doing to Done on the cloud-services-team (Kanban) board.